org.codehaus.groovy.ast.stmt

## Class ExpressionStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.ExpressionStatement

    public class ExpressionStatement
    extends Statement

A simple statement such as a method call where the return value is ignored

### Constructor Summary

Constructors
Constructor and Description
`ExpressionStatement(Expression expression)`

### Method Summary

Methods
`Expression` `getExpression()`
`java.lang.String` `getText()`
`void` `setExpression(Expression expression)`
`java.lang.String` `toString()`
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

`getStatementLabel, isEmpty, setStatementLabel`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExpressionStatement

    public ExpressionStatement(Expression expression)

### Method Detail

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

#### getExpression

    public Expression getExpression()

#### setExpression

    public void setExpression(Expression expression)

#### getText

    public java.lang.String getText()

Overrides:
  `getText` in class `ASTNode`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`